package cn.wisenergy.service.app.impl;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.service.app.SendSmsSerVice;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

/**
*@ Description: 短信验证码接口实现
*@ Author     : 86187
*@ Date       : 2021/1/15 15:45
*/
@Service
@Slf4j
public class SendSmsSerViceImpl implements SendSmsSerVice {
    @Override
    public R<Object> getSmCode(String phone) {
        log.info("volunteer-service[]SendSmsSerViceImpl[]getSmCode[]input.param.phone:"+phone);
        if(StringUtils.isBlank(phone)){
            return R.error("手机号码不能为空!");
        }
        return null;
    }
}
